ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Opt.CallerCC

Description

Adds cost-centers to call sites selected with the `-fprof-caller=...` flag.

# Documentation

addCallerCostCentres :: ModGuts -> CoreM ModGuts #

data CallerCcFilter #

Constructors

CallerCcFilter |

Fields

- ccfModuleName :: Maybe ModuleName
- ccfFuncName :: NamePattern

#### Instances

Instances details

NFData CallerCcFilter # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods rnf :: CallerCcFilter -> () #
Binary CallerCcFilter # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods put_ :: WriteBinHandle -> CallerCcFilter -> IO () # put :: WriteBinHandle -> CallerCcFilter -> IO (Bin CallerCcFilter) # get :: ReadBinHandle -> IO CallerCcFilter #
Outputable CallerCcFilter # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods ppr :: CallerCcFilter -> SDoc #

data NamePattern #

Constructors

PChar Char NamePattern |
PWildcard NamePattern |
PEnd |

#### Instances

Instances details

NFData NamePattern # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods rnf :: NamePattern -> () #
Binary NamePattern # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods put_ :: WriteBinHandle -> NamePattern -> IO () # put :: WriteBinHandle -> NamePattern -> IO (Bin NamePattern) # get :: ReadBinHandle -> IO NamePattern #
Outputable NamePattern # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods ppr :: NamePattern -> SDoc #

parseCallerCcFilter :: String -> Either String CallerCcFilter #